//ROS header files
#include "ros/ros.h"
#include "std_msgs/String.h"

#include "turtlesim/Spawn.h"

//C++ header
#include <sstream> 


ros::ServiceClient client_spawn;

bool addTurtle(float x, float y, float theta, std::string name){
	 
	turtlesim::Spawn srv;
	srv.request.x = x;
	srv.request.y = y;
	srv.request.theta = theta;
	srv.request.name = name;
	
	if (client_spawn.call(srv))
	{
		ROS_INFO("The response is: %s", srv.response.name.c_str());
		return true;
	}
	else
	{
		ROS_WARN("Failed to call service /spawn");
		return false;
	}
}

int main(int argc, char **argv){
	
	
	ros::init(argc, argv, "turtle_client_example");
	ros::NodeHandle n;
	
	client_spawn = n.serviceClient<turtlesim::Spawn>("/spawn");
	
	int counter = 0; 
	for (float x = 1.0; x < 7.0; x+=1.0){
		for (float y = 1.0; y < 7.0; y+= 1.0){
			
			
			std::stringstream ss;
			ss << "turtle_" << counter;
			
			
			addTurtle(x,y,3.14,ss.str());
			counter++;
		}
	}
	
	
	return 0;
}
